LibreOffice: PropertyStateChangeEvent Struct Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Attributes | List of all members
PropertyStateChangeEvent Struct Referencepublished

is delivered whenever the state of a "bound" property is changed. More...

`import"PropertyStateChangeEvent.idl";`

Inheritance diagram for PropertyStateChangeEvent:

## Public Attributes
string | PropertyName
| specifies the name of the property which changes its value. More...
long | PropertyHandle
| contains the implementation handle for the property. More...
com::sun::star::beans::PropertyState | OldValue
| contains the old value of the property. More...
com::sun::star::beans::PropertyState | NewValue
| contains the new value of the property. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

is delivered whenever the state of a "bound" property is changed.

It is sent as an argument to the method of XPropertyStateChangeListener.

Normally these events are accompanied by the name, and the old and new values of the changed property.

Void values may be provided for the old and new values if their true values are not known.

## Member Data Documentation

## ◆ NewValue

com::sun::star::beans::PropertyState NewValue

contains the new value of the property.

## ◆ OldValue

com::sun::star::beans::PropertyState OldValue

contains the old value of the property.

## ◆ PropertyHandle

long PropertyHandle

contains the implementation handle for the property.

It may be -1 if the implementation has no handle. You can use this handle to get values from the XFastPropertySet interface.

## ◆ PropertyName

string PropertyName

specifies the name of the property which changes its value.

This name identifies the property uniquely within an XPropertySet. Upper and lower case are distinguished.

The documentation for this struct was generated from the following file:

- com/sun/star/beans/PropertyStateChangeEvent.idl